#include "ofApp.h"
//Sound credits:
//Suomalaisia säveliä 2 https://www.doria.fi/handle/10024/72383
//glitch_08_jeniusjelinek_(suonho).wav https://www.freesound.org/people/suonho/sounds/3795/
void ofApp::setup(){
    //Environment
    ofSetOrientation(OF_ORIENTATION_90_LEFT);
    //Setup
    sound1.load("RAI-PatheX45144-01-2-001.mp3");
    sound2.load("3795__suonho__glitch-08-jeniusjelinek-suonho.wav");
    sound2.setLoop(true);
    volume1=volume2=speed1=speed2=1;
    printf("Height of screen is %i",ofGetHeight());
}
void ofApp::update(){}
void ofApp::draw(){
    ofDrawLine(ofGetWidth()/2, 0, ofGetWidth()/2, ofGetHeight());
    ofDrawBitmapString("Volume 1:"+ofToString(volume1),20,20);
    ofDrawBitmapString("Speed 1:"+ofToString(speed1),20,40);
    ofDrawBitmapString("Volume 2:"+ofToString(volume2),ofGetWidth()/2+20,20);
    ofDrawBitmapString("Speed 2:"+ofToString(speed2),ofGetWidth()/2+20,40);
}
void ofApp::exit(){}
void ofApp::touchDown(ofTouchEventArgs & touch){
    if(touch.id==0){
        if(touch.x<ofGetWidth()/2){
            sound1.play();
        }else{
            sound2.play();
        }
    }
    if(touch.id==1){
        if(touch.x<ofGetWidth()/2){
            sound1.stop();
        }else{
            sound2.stop();
        }
    }
}
void ofApp::touchMoved(ofTouchEventArgs & touch){
    if(touch.x<ofGetWidth()/2){
        volume1=ofMap(touch.y,ofGetHeight(),0,0,1);
        sound1.setVolume(volume1);
        speed1=ofMap(touch.x,0,ofGetWidth()/2,0,3);
        sound1.setSpeed(speed1);
    }else{
        volume2=ofMap(touch.y,ofGetHeight(),0,0,1);
        sound2.setVolume(volume2);
        speed2=ofMap(touch.x,ofGetWidth()/2,ofGetWidth(),0,3);
        sound2.setSpeed(speed2);

    }
}
void ofApp::touchUp(ofTouchEventArgs & touch){}
void ofApp::touchDoubleTap(ofTouchEventArgs & touch){}
void ofApp::touchCancelled(ofTouchEventArgs & touch){}
void ofApp::lostFocus(){}
void ofApp::gotFocus(){}
void ofApp::gotMemoryWarning(){}
void ofApp::deviceOrientationChanged(int newOrientation){}

